demote tomcat6 source and binaries to universe

Bug #1023405 reported by Jamie Strandboge on 2012-07-11
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
axis (Ubuntu)
Undecided
Unassigned
bsh (Ubuntu)
Undecided
Unassigned
excalibur-logkit (Ubuntu)
Undecided
Unassigned
fop (Ubuntu)
Undecided
Unassigned
hessian (Ubuntu)
Undecided
Unassigned
hsqldb (Ubuntu)
Undecided
Unassigned
libcommons-logging-java (Ubuntu)
Undecided
Unassigned
libmx4j-java (Ubuntu)
Undecided
Unassigned
libreoffice (Ubuntu)
High
Björn Michaelsen
tomcat6 (Ubuntu)
High
Unassigned

Bug Description

As a condition of tomcat7 being promoted to main (bug #1009579) in Quantal, tomcat6 should be demoted.

James Page (james-page) on 2012-07-11
summary: - please demote tomcat6 source and binaries to universe
+ please transition libservlet2.5-java -> libservlet3.0-java and then
+ demote tomcat6 source and binaries to universe
James Page (james-page) on 2012-07-12
Changed in axis (Ubuntu):
status: New → Fix Released

This bug was fixed in the package bsh - 2.0b4-12ubuntu1

---------------
bsh (2.0b4-12ubuntu1) quantal; urgency=low

  * Transition libservlet2.5-java -> libservlet3.0-java (LP: #1023405).
 -- James Page <email address hidden> Thu, 12 Jul 2012 15:02:13 +0100

Changed in bsh (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package excalibur-logkit - 2.0-9ubuntu1

---------------
excalibur-logkit (2.0-9ubuntu1) quantal; urgency=low

  * Transition libservlet2.5-java -> libservlet3.0-java (LP: #1023405).
 -- James Page <email address hidden> Thu, 12 Jul 2012 15:07:11 +0100

Changed in excalibur-logkit (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fop - 1:1.0.dfsg2-6ubuntu1

---------------
fop (1:1.0.dfsg2-6ubuntu1) quantal; urgency=low

  * Transition libservlet2.5-java -> libservlet3.0-java (LP: #1023405).
 -- James Page <email address hidden> Thu, 12 Jul 2012 15:13:49 +0100

Changed in fop (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package hessian - 4.0.6-1ubuntu1

---------------
hessian (4.0.6-1ubuntu1) quantal; urgency=low

  * Transition libservlet2.5-java -> libservlet3.0-java (LP: #1023405).
 -- James Page <email address hidden> Thu, 12 Jul 2012 15:14:19 +0100

Changed in hessian (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package hsqldb - 1.8.0.10-13ubuntu1

---------------
hsqldb (1.8.0.10-13ubuntu1) quantal; urgency=low

  * Transition libservlet2.5-java -> libservlet3.0-java (LP: #1023405).
 -- James Page <email address hidden> Thu, 12 Jul 2012 15:22:14 +0100

Changed in hsqldb (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libcommons-logging-java - 1.1.1-9ubuntu1

---------------
libcommons-logging-java (1.1.1-9ubuntu1) quantal; urgency=low

  * Transition libservlet2.5-java -> libservlet3.0-java (LP: #1023405).
 -- James Page <email address hidden> Thu, 12 Jul 2012 15:28:07 +0100

Changed in libcommons-logging-java (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libmx4j-java - 3.0.2-12ubuntu3

---------------
libmx4j-java (3.0.2-12ubuntu3) quantal; urgency=low

  * Transition libservlet2.5-java -> libservlet3.0-java (LP: #1023405).
 -- James Page <email address hidden> Thu, 12 Jul 2012 15:31:30 +0100

Changed in libmx4j-java (Ubuntu):
status: New → Fix Released
Changed in libreoffice (Ubuntu):
assignee: nobody → Björn Michaelsen (bjoern-michaelsen)
importance: Undecided → High
tags: removed: rls-q-incoming
Changed in libreoffice (Ubuntu):
status: New → In Progress
Changed in libreoffice (Ubuntu):
status: In Progress → Fix Committed
James Page (james-page) wrote :

@Bjorn

LGTM; installed from PPA without pulling libservlet2.5-java.

Thanks.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libreoffice - 1:3.6.0~rc1-0ubuntu1

---------------
libreoffice (1:3.6.0~rc1-0ubuntu1) quantal; urgency=low

  * new upstream rc
  * switch to libservlet 3.0 API (LP: #1023405)
  * revert 78c2f91bd0ba744ddacb908457a18ca6537c8017

libreoffice (1:3.6.0~beta3-0ubuntu1~ppa1) quantal; urgency=low

  * new upstream beta
  * merge from debian
  * revert gconfbe temporary hack

libreoffice (1:3.6.0~beta2-0ubuntu1~ppa3) quantal; urgency=low

  * force disable HAVE_CXX0X for ABI incompatibilty
  * keep xmloff unoapi disabled on gcc-4.7 builds for now, even though we
    ourselves should be good

libreoffice (1:3.6.0~beta2-0ubuntu1~ppa2) quantal; urgency=low

  * rebase on debian

libreoffice (1:3.6.0~beta2-0ubuntu1~ppa1) quantal; urgency=low

  * new upstream beta
  * fix gcc versioning
  * disable broken pdfimport test for now

libreoffice (1:3.6.0~beta1-0ubuntu5) quantal; urgency=low

  * new upstream beta, rebasing on debian
  * build against gcc 4.6 (related: lp#1007616)

libreoffice (1:3.6.0~beta1-1) UNRELEASED; urgency=low

  [ Rene Engelhard ]
  * new upstream beta release
    - fixes splashscreen location in multi-monitor setups
      (closes: #657444, #431473)

  * debian/patches/build-dont-run-checks.diff: as name says

  * debian/rules:
    - new conditionals for: doxygen, libcdr, liblcms2
    - remove liblucene2-java stuff; now clucene is used
    - build-depend on libxml2-utils, xmllint now needed
    - build-depend on liboost-date-time-date, we now link to boost...
    - disable binfilter for now (checkdll segfaults...)
    - build-depend against libpng-dev instead of libpng12-dev
      (closes: #662411)
    - remove squeeze-backports stuff, add wheezy-backports
    - install upstreams README(_en-US) (closes: #676340)
    - clean up some warnings:
      + readd /usr/lib/`dpkg-architecture -qDEB_HOST_MULTIARCH`/libfakeroot
        to LD_LIBRARY_PATH for dh_shlibdeps
      + don't run jh_depends -i/-a, use -p for each package, otherwise it
        gets confused by help.jar/s*.jar which is just zips, no "real" jar
    - switch to default-jdk, b-d on default-jdk (>= 1:1.7-48) on ia64 and
      check for "OpenJDK" in tests yes/no clause for JDK=default
    - add ENABLE_HELP conditional now that we have --without-help; also
      add the new --disable-extensions and --disable-database-connectivity to
      their respective places
  * debian/uno-libs3.symbols: update

  [Björn Michaelsen]
  * force disable HAVE_CXX0X for ABI incompatibilty
 -- Bjoern Michaelsen <email address hidden> Tue, 17 Jul 2012 17:14:10 +0200

Changed in libreoffice (Ubuntu):
status: Fix Committed → Fix Released
James Page (james-page) wrote :

Transition in main complete.

Ready for demotion (as far as I can tell).

summary: - please transition libservlet2.5-java -> libservlet3.0-java and then
demote tomcat6 source and binaries to universe
Changed in tomcat6 (Ubuntu):
status: Triaged → New
assignee: James Page (james-page) → nobody

@James Page: Can you drop me a hint when libcommons-logging-java suggests 3.0 instead of 2.5 so that I can disable the temp. hack there?

James Page (james-page) wrote :

@Bjorn

It already does - its one of the completed tasks on this bug report.

Jamie Strandboge (jdstrand) wrote :

Looks like someone already did this. After verifying the reverse depends, marking Fix Released.

Changed in tomcat6 (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related blueprints